CREATE TABLE cst_inv_onhand_match_t (
    COST_ORG_ID                      NUMBER(18, 0) ,
    COST_BOOK_ID                     NUMBER(18, 0) ,
    EXTERNAL_SYSTEM_REFERENCE        VARCHAR2(240) ,
    INVENTORY_ITEM_ID                NUMBER(18, 0) ,
    INV_CALC_ONHAND_QTY              NUMBER        ,
    INV_UNSENT_TXN_QTY               NUMBER        ,
    VAL_UNIT_ID                      NUMBER(18, 0) ,
    CST_ONHAND_QTY                   NUMBER        ,
    CST_BACKDATED_ONHAND_QTY         NUMBER        ,
    CST_UNPROCESSED_QTY              NUMBER        ,
    CST_CT_ERROR_QTY                 NUMBER        ,
    CST_INTERFACE_ERROR_QTY          NUMBER        ,
    CST_INTERFACE_UNPROCESSED_QTY    NUMBER        ,
    CST_CT_UNCOSTED_QTY              NUMBER        ,
    MISMATCH_QTY                     NUMBER            NOT NULL,
    UOM_CODE                         VARCHAR2(12)      NOT NULL,
    AS_OF_DATE                       TIMESTAMP(6)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    REQUEST_ID                       NUMBER(18, 0) ,
    JOB_DEFINITION_NAME              VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE           VARCHAR2(3600),
    EXPENSE_ONHAND_FLAG              VARCHAR2(4)   ,
    COST_ORG_ID                      NUMBER(18, 0) ,
    COST_BOOK_ID                     NUMBER(18, 0) ,
    EXTERNAL_SYSTEM_REFERENCE        VARCHAR2(240) ,
    INVENTORY_ITEM_ID                NUMBER(18, 0) ,
    INV_CALC_ONHAND_QTY              NUMBER        ,
    INV_UNSENT_TXN_QTY               NUMBER        ,
    VAL_UNIT_ID                      NUMBER(18, 0) ,
    CST_ONHAND_QTY                   NUMBER        ,
    CST_BACKDATED_ONHAND_QTY         NUMBER        ,
    CST_UNPROCESSED_QTY              NUMBER        ,
    CST_CT_ERROR_QTY                 NUMBER        ,
    CST_INTERFACE_ERROR_QTY          NUMBER        ,
    CST_INTERFACE_UNPROCESSED_QTY    NUMBER        ,
    CST_CT_UNCOSTED_QTY              NUMBER        ,
    MISMATCH_QTY                     NUMBER            NOT NULL,
    UOM_CODE                         VARCHAR2(12)      NOT NULL,
    AS_OF_DATE                       TIMESTAMP(6)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    REQUEST_ID                       NUMBER(18, 0) ,
    JOB_DEFINITION_NAME              VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE           VARCHAR2(3600),
    EXPENSE_ONHAND_FLAG              VARCHAR2(4)   ,
    CONSTRAINT pk_cst_inv_onhand_match_t PRIMARY KEY (COST_ORG_ID, COST_BOOK_ID, EXTERNAL_SYSTEM_REFERENCE, INVENTORY_ITEM_ID, VAL_UNIT_ID, EXPENSE_ONHAND_FLAG, COST_ORG_ID, COST_BOOK_ID, EXTERNAL_SYSTEM_REFERENCE, INVENTORY_ITEM_ID, VAL_UNIT_ID, EXPENSE_ONHAND_FLAG)
);
